/*
 * Copyright (c) 2023 - 2024. KeyWare.Co.Ltd All rights reserved.
 * 项目名称：C++ 信息安全性设计准则
 * 项目描述：用于检查C++源代码的安全性设计准则的Sonarqube插件
 * 版权说明：本软件属北京关键科技股份有限公司所有，在未获得北京关键科技股份有限公司正式授权情况下，任何企业和个人，不能获取、阅读、安装、传播本软件涉及的任何受知识产权保护的内容。
 */


package com.keyware.sonar.cxx;

import org.sonar.api.resources.AbstractLanguage;

import java.lang.module.Configuration;

public final class ConfigurationFileLanguage extends AbstractLanguage {

    public static final String NAME = "Configuration";
    public static final String KEY = "cfg";
    private final Configuration config;

    public ConfigurationFileLanguage (Configuration config) {
        super(KEY, NAME);
        this.config = config;
    }

    @Override
    public String[] getFileSuffixes() {
        return new String[] {".yml", ".properties", ".ini",".conf" ,".xml" ,".json"};
    }
}
