/*
 * Copyright (c) 2023 - 2024. KeyWare.Co.Ltd All rights reserved.
 * 项目名称：C++ 信息安全性设计准则
 * 项目描述：用于检查C++源代码的安全性设计准则的Sonarqube插件
 * 版权说明：本软件属北京关键科技股份有限公司所有，在未获得北京关键科技股份有限公司正式授权情况下，任何企业和个人，不能获取、阅读、安装、传播本软件涉及的任何受知识产权保护的内容。
 */
package com.keyware.sonar.cxx.rules.checkers;

import com.keyware.sonar.cxx.CxxFileTesterHelper;
import org.junit.jupiter.api.Test;
import org.sonar.cxx.CxxAstScanner;
import org.sonar.cxx.squidbridge.api.SourceFile;
import org.sonar.cxx.squidbridge.checks.CheckMessagesVerifier;

import java.io.IOException;

public class LogFileWriteCheckerTest {
    @Test
    public void checkTest() throws IOException {
        var checker = new LogFileWriteChecker();
        var tester = CxxFileTesterHelper.create("LogFileWriteChecker.cc");
        SourceFile file = CxxAstScanner.scanSingleInputFile(tester.asInputFile(), checker);
        CheckMessagesVerifier.verify(file.getCheckMessages())
                .next().atLine(25).withMessage("慎重考虑写入日志文件信息的隐私性")
                .next().atLine(26).withMessage("慎重考虑写入日志文件信息的隐私性")
                .next().atLine(27).withMessage("慎重考虑写入日志文件信息的隐私性")
                .next().atLine(28).withMessage("慎重考虑写入日志文件信息的隐私性")
                .next().atLine(50).withMessage("慎重考虑写入日志文件信息的隐私性")
                .next().atLine(51).withMessage("慎重考虑写入日志文件信息的隐私性")
                .next().atLine(52).withMessage("慎重考虑写入日志文件信息的隐私性")
                .next().atLine(53).withMessage("慎重考虑写入日志文件信息的隐私性")
                .noMore();
    }

}
